classification
Title: Fix test discovery for test_ctypes.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-29 22:20 by zach.ware, last changed 2013-03-01 08:57 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_ctypes_discovery.diff zach.ware, 2013-01-29 22:20 test_ctypes.py fix, version 1
test_ctypes_discovery.v2.diff zach.ware, 2013-02-27 21:48 Version 2 review
Messages (3)
msg183188 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-02-27 21:48
Version 1 converts test_main() into load_tests().  Version 2 removes the now unnecessary import of run_unittest from support; thank you to Ezio for reminding me to look at imports in these patches.
msg183248 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-01 08:56
New changeset 42d4a29509c4 by Ezio Melotti in branch '3.3':
#17079: test_ctypes now works with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/42d4a29509c4

New changeset e222f24837dd by Ezio Melotti in branch 'default':
#17079: merge with 3.3.
http://hg.python.org/cpython/rev/e222f24837dd
msg183249 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-01 08:57
Fixed, thanks for the patch!
History
Date User Action Args
2013-03-01 08:57:37ezio.melottisetstatus: open -> closed
messages: + msg183249

assignee: ezio.melotti
resolution: fixed
stage: resolved
2013-03-01 08:56:54python-devsetnosy: + python-dev
messages: + msg183248
2013-02-27 21:48:41zach.waresetfiles: + test_ctypes_discovery.v2.diff

messages: + msg183188
2013-01-29 22:20:46zach.warecreate